unit Preview;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TPreviewWindow = class(TForm)
    ScrollBox1: TScrollBox;
    Image1: TImage;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  procedure Draw(DC: TCanvas; S: Byte);

var
  PreviewWindow: TPreviewWindow;

implementation

uses ToolWin, Main;

{$R *.DFM}

procedure Draw(DC: TCanvas; S: Byte);
begin
  with DC do begin
    Pen.Width:=2;
    Font.Name:='Times New Roman';
    Font.Size:=14;
    TextOut(22*S, 20*S, MainForm.Label14.Caption);
    Font.Size:=10;
    MoveTo(20*S, 42*S);
    LineTo(195*S, 42*S);
    MoveTo(45*S, 32*S);
    LineTo(45*S, 42*S);
    TextOut(22*S, 32*S, '');
    TextOut(22*S, 37*S, '');
    TextOut(50*S, 35*S, MainForm.Edit2.Text);
    MoveTo(95*S, 25*S);
    LineTo(130*S, 25*S);
    Font.Size:=8;
    TextOut(110*S, 26*S, '');
    Font.Size:=10;
    TextOut(105*S, 20*S, MainForm.Edit1.Text);
    MoveTo(135*S, 25*S);
    LineTo(175*S, 25*S);
    Font.Size:=8;
    TextOut(148*S, 26*S, ' ');
    Font.Size:=10;
    TextOut(140*S, 20*S, MainForm.ComboBox1.Text);
    MoveTo(110*S, 42*S);
    LineTo(110*S, 135*S);
    MoveTo(125*S, 42*S);
    LineTo(125*S, 135*S);
    MoveTo(20*S, 135*S);
    LineTo(195*S, 135*S);
    MoveTo(110*S, 55*S);
    LineTo(195*S, 55*S);
    MoveTo(20*S, 70*S);
    LineTo(125*S, 70*S);
    MoveTo(20*S, 82*S);
    LineTo(195*S, 82*S);
    MoveTo(20*S, 95*S);
    LineTo(125*S, 95*S);
    MoveTo(110*S, 107*S);
    LineTo(195*S, 107*S);
    MoveTo(20*S, 155*S);
    LineTo(195*S, 155*S);
    MoveTo(65*S, 172*S);
    LineTo(130*S, 172*S);
    MoveTo(65*S, 190*S);
    LineTo(130*S, 190*S);
    TextOut(25*S, 65*S, '');
    TextOut(25*S, 77*S, ' ');
    TextOut(25*S, 90*S, ' ');
    TextOut(25*S, 130*S, '');
    TextOut(25*S, 136*S, ' ,  ,  ,  ,    ');
    TextOut(25*S, 139*S, ', , .');
    TextOut(50*S, 65*S, MainForm.ComboBox7.Text);
    TextOut(60*S, 77*S, MainForm.ComboBox3.Text);
    TextOut(60*S, 90*S, MainForm.ComboBox5.Text);
    TextOut(50*S, 130*S, MainForm.ComboBox8.Text);
    TextOut(70*S, 167*S, MainForm.Edit4.Text);
    TextOut(70*S, 185*S, MainForm.Edit5.Text);
    TextOut(112*S, 43*S, '');
    TextOut(130*S, 45*S, MainForm.Edit3.Text);
    TextOut(112*S, 57*S, ' ');
    TextOut(130*S, 60*S, MainForm.ComboBox2.Text);
    TextOut(112*S, 75*S, ' ');
    TextOut(130*S, 75*S, MainForm.ComboBox4.Text);
    TextOut(112*S, 88*S, ' ');
    TextOut(130*S, 88*S, MainForm.ComboBox6.Text);

    Font.Size:=14;
    TextOut(40*S, 175*S, '..');
  end;
end;

procedure TPreviewWindow.FormShow(Sender: TObject);
begin
  ToolBar.Show;
  Draw(Image1.Canvas, 4);
end;

procedure TPreviewWindow.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  ToolBar.Close;
end;

procedure TPreviewWindow.FormHide(Sender: TObject);
begin
  ToolBar.Hide;
end;

end.
